| Home | Libraries | People | FAQ | More

### ip::udp

Encapsulates the flags needed for UDP.

    class udp

##### Types

Name | Description
--- | ---
endpoint | The type of a UDP endpoint.
resolver | The UDP resolver type.
socket | The UDP socket type.

##### Member Functions

Name | Description
--- | ---
family | Obtain an identifier for the protocol family.
protocol | Obtain an identifier for the protocol.
type | Obtain an identifier for the type of the protocol.
v4 | Construct to represent the IPv4 UDP protocol.
v6 | Construct to represent the IPv6 UDP protocol.

##### Friends

Name | Description
--- | ---
operator!= | Compare two protocols for inequality.
operator== | Compare two protocols for equality.

The `ip::udp` class contains flags necessary for UDP sockets.

##### Thread Safety

Distinct objects: Safe.

Shared objects: Safe.

##### Requirements

Header: `boost/asio/ip/udp.hpp`

Convenience header: `boost/asio.hpp`